Everyone! For those who has leopard (10.5.8) must have insomniax 1.3.1 version to work and who has snow leopard can use the newest version



LEOPARD INSOMNIAX LINK DOWNLOAD TO WORK: Cick here to download insomniax for leopard version